# $Revision: 1.45 $, $Date: 2002/11/17 12:12:23 $
Summary:	Xinetd - a powerful replacement for inetd
Summary(pl):	Xinetd - rozbudowany zaminnik inetd
Summary(pt_BR):	O xinetd  um substituto poderoso e seguro para o inetd
Summary(ru):	xinetd -    inetd
Summary(uk):	xinetd -   ͦ inetd
Name:		xinetd
Version:	2.3.9
Release:	1
Group:		Daemons
License:	BSD-like
Source0:	http://www.xinetd.org/%{name}-%{version}.tar.gz
Source1:	%{name}.inet.sh
Patch0:		%{name}-no_libnsl.patch
URL:		http://www.xinetd.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libwrap-devel
Requires:	rc-inetd
Prereq:		rc-scripts
Requires:	/etc/rc.d/init.d/rc-inetd
Provides:	inetdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	inetdaemon
Obsoletes:	inetd
Obsoletes:	rlinetd
Obsoletes:	netkit-base

%define         _sysconfdir     /etc

%description
xinetd is a powerful replacement for inetd. xinetd has access control
machanisms, extensive logging capabilities, the ability to make
services available based on time, and can place limits on the number
of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world. Or to have a
different service running on the same port, but different interfaces.

%description -l pl
xinetd jest bezpieczniejszym i rozbudowanym odpowiednikiem inetd.
Niektre funkcje to wbudowana kontrola dostpu (oparta o libwrap),
kontrola zuycia zasobw i wbudowana obsuga IPv6.

%description -l pt_BR
O xinetd  um substituto poderoso para o inetd.

Tem mecanismos de controle de acesso, capacidades extensivas de
registro de ocorrncias, possibilita tornar servios disponveis de
acordo com horrios e pode limitar o nmero de servidores que podem
ser iniciados, entre outras coisas.

Tambm possibilita redirecionar fluxos TCP para uma mquina e porta
remota. Isto  til para aqueles que usam ip masquerading ou NAT e
querem poder acessar mquinas na rede interna.

Tambm possibilita associar servios especficos a interfaces
especficas. Isto  til quando voc quer disponibilizar servios para
sua rede interna, mas no para o resto do mundo. Ou ter um servio
diferente rodando na mesma porta, mas em interfaces diferentes.

%description -l uk
xinetd - ͦ inetd   .

 , xinetd  Φ ̦ , Ԧ
Ԧ , Φ  Φ צӦ 
Ԧ צ ,   ˦˦  
Ҧ.

xinetd  צ  TCP      .
   ,  դ ip   NAT  
 צ   ҦΦ Ԧ.

xinetd   צ ' Φ צ 
 Ӧ.  ,     צ
   Ҧϧ ֦,     .
   ҦΦ צ    Ҧ ,  Ҧ
.

%description -l ru
xinetd -  inetd   .

 , xinetd    , 
 ,   
    ,   
  .

xinetd    TCP     
.    ,   ip   NAT 
      .

xinetd       
 .  ,     
    ,     .
         ,  
.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure  \
	--with-libwrap \
	--with-inet6  \
	--with-loadavg
%{__make}
cp xinetd/xinetd xinetd/xinetd-ipv6
%{__make} clean
rm -f config.cache
%configure  \
	--with-libwrap \
	--with-loadavg
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_mandir}/man{5,8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}

install xinetd/xinetd $RPM_BUILD_ROOT%{_sbindir}
install xinetd/xinetd-ipv6 $RPM_BUILD_ROOT%{_sbindir}
install xinetd/itox $RPM_BUILD_ROOT%{_sbindir}
install xinetd/xinetd.conf.man $RPM_BUILD_ROOT%{_mandir}/man5/xinetd.conf.5
install xinetd/xinetd.log.man $RPM_BUILD_ROOT%{_mandir}/man8/xinetd.log.8
install xinetd/xinetd.man $RPM_BUILD_ROOT%{_mandir}/man8/xinetd.8
install xinetd/itox.8 $RPM_BUILD_ROOT%{_mandir}/man8/itox.8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inet.script
:> $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.conf

cp xinetd/sample.conf .
cp xinetd/xconv.pl .

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd restart 1>&2
else
        echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start xinetd" 1>&2
fi

%preun
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd stop
fi

%files
%defattr(644,root,root,755)
%doc README CHANGELOG sample.conf xconv.pl
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %ghost %{_sysconfdir}/xinetd.conf
%attr(640,root,root) /etc/sysconfig/rc-inet.script
%{_mandir}/man[158]/*

%define date   %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xinetd.spec,v $
Revision 1.45  2002/11/17 12:12:23  kloczek
- merge translations from Conectiva and KSI.

Revision 1.44  2002/10/15 21:53:59  mmazur
- updated to 2.3.9; SECURITY fix; STBR

Revision 1.43  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.42  2002/09/07 10:57:06  areq
- 2.3.8, STBR

Revision 1.41  2002/08/18 12:47:01  blues
- release 2 - license fix, new doc

Revision 1.40  2002/08/13 09:09:47  kloczek
- added no_libnsl patch (remove redundant linking with libnsl).

Revision 1.39  2002/08/13 01:59:01  wiget
- updated to 2.3.7

Revision 1.38  2002/05/29 13:26:01  lukasz
- 2.3.5

Revision 1.37  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/03/30 15:09:39  lukasz
- 2.3.4

Revision 1.35  2002/03/05 13:29:28  trojan
- release 3 (changed xinetd.init.sh); STB

Revision 1.34  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/11/11 22:48:26  misiek
- removed ipv6 conditional; release 2

Revision 1.30  2001/11/11 22:14:03  misiek
- support for v4 only version

Revision 1.29  2001/11/10 16:45:32  jajcus
- s/Distibutable/distributable/ in License

Revision 1.28  2001/08/29 21:40:47  areq
- 2.3.3, STBR

Revision 1.27  2001/08/27 09:49:33  trojan
- release 2 (changed xinetd.inet.sh); STB

Revision 1.26  2001/08/20 21:28:43  kloczek
- updated to 2.3.2.

Revision 1.25  2001/08/17 07:41:48  areq
- 2.3.1, STBR

Revision 1.24  2001/08/10 11:36:18  kloczek
- relese 4.

Revision 1.23  2001/08/10 08:27:50  trojan
- added autoconf before %%configure
- BuildRequires: autoconf

Revision 1.22  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/07/07 22:47:01  lukasz
- back to old "configure" options.

Revision 1.19  2001/07/07 00:00:26  lukasz
- enable ipv6 support - it's work again

Revision 1.18  2001/06/30 17:12:35  lukasz
- updated to 2.3.0

Revision 1.17  2001/06/28 16:58:16  kloczek
- updated to 2.1.8.9pre16.

Revision 1.16  2001/06/01 23:54:31  kloczek
- updated to 2.1.8.9pre15.

Revision 1.15  2001/06/01 09:57:54  undefine
- conditional without ipv6 build (with ipv6 don't work on no-ipv6 systems)
- release++

Revision 1.14  2001/02/22 21:51:41  kloczek
- updated to 2.1.8.9pre14 (release 4).

Revision 1.13  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.12  2001/01/08 10:47:57  kloczek
- relese 6.

Revision 1.11  2001/01/05 14:02:23  undefine
- typo
- release 2 - was broken xinetd.inet.sh

Revision 1.10  2001/01/03 11:22:59  undefine
- updated to 2.1.8.9pre13(to allow change from RH7)
- changed license from GPL to Distributable
- added xinetd.inet.sh - it seem to work ;)
- Requires: rc-inetd, rc-scripts, /etc/rc.d/init.d/rc-inetd
  Provides: inetdaemon
  Obsoletes: rlinetd

Revision 1.9  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.8  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.7  2000/09/12 15:10:57  kravietz
- fix in install -d

Revision 1.6  2000/08/14 12:53:01  kloczek
- adapterized and some cosmetics.

Revision 1.5  2000/08/13 06:25:10  kravietz
- fixes

Revision 1.4  2000/08/13 06:23:29  kravietz
- moved perl converted do docdir

Revision 1.3  2000/08/13 05:14:25  kravietz
- fixes

Revision 1.2  2000/08/13 04:44:25  kravietz
- fixes

Revision 1.1  2000/08/13 04:22:47  kravietz
- initial

